"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BinaryOperation = exports.Operator = void 0;
const expression_1 = require("./expression");
var Operator;
(function (Operator) {
    Operator[Operator["PLUS"] = 0] = "PLUS";
    Operator[Operator["MINUS"] = 1] = "MINUS";
    Operator[Operator["MULTIPLY"] = 2] = "MULTIPLY";
    Operator[Operator["DIVIDE"] = 3] = "DIVIDE";
    Operator[Operator["OR"] = 4] = "OR";
    Operator[Operator["AND"] = 5] = "AND";
    Operator[Operator["EQUAL"] = 6] = "EQUAL";
    Operator[Operator["NOT_EQUAL"] = 7] = "NOT_EQUAL";
    Operator[Operator["LESS_THAN"] = 8] = "LESS_THAN";
    Operator[Operator["LESS_THAN_OR_EQUAL"] = 9] = "LESS_THAN_OR_EQUAL";
    Operator[Operator["GREATER_THAN"] = 10] = "GREATER_THAN";
    Operator[Operator["GREATER_THAN_OR_EQUAL"] = 11] = "GREATER_THAN_OR_EQUAL";
})(Operator || (exports.Operator = Operator = {}));
class BinaryOperation extends expression_1.Expression {
    constructor(operator, left_operand, right_operand, options) {
        super(options);
        this.operator = operator;
        this.left_operand = left_operand;
        this.right_operand = right_operand;
    }
}
exports.BinaryOperation = BinaryOperation;
//# sourceMappingURL=binary-operation.js.map