"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ICNode = exports.ICNodeType = void 0;
var ICNodeType;
(function (ICNodeType) {
    ICNodeType[ICNodeType["DECLARATION"] = 0] = "DECLARATION";
    ICNodeType[ICNodeType["EXPRESSION"] = 1] = "EXPRESSION";
    ICNodeType[ICNodeType["STATEMENT"] = 2] = "STATEMENT";
})(ICNodeType || (exports.ICNodeType = ICNodeType = {}));
class ICNode {
    constructor(type, options) {
        this.node_type = type;
        this.comment = options?.comment;
    }
}
exports.ICNode = ICNode;
//# sourceMappingURL=ic-node.js.map