"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringReader = void 0;
class StringReader {
    constructor(source) {
        this.source = source;
        this.index = 0;
    }
    read() {
        if (this.index == this.source.length)
            return '';
        const value = this.source[this.index];
        this.index += 1;
        return value;
    }
}
exports.StringReader = StringReader;
//# sourceMappingURL=reader.js.map